TF_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY_CLASS > Class Template Referenceabstract

Trapdoor Function (TF) base implementation. More...

Inheritance diagram for TF_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY_CLASS >:

## Public Types

typedef SCHEME_OPTIONS | SchemeOptions
typedef KEY_CLASS | KeyClass

## Public Member Functions

PublicKey & | AccessPublicKey ()
const PublicKey & | GetPublicKey () const
PrivateKey & | AccessPrivateKey ()
const PrivateKey & | GetPrivateKey () const
virtual const KeyClass & | GetKey () const =0
virtual KeyClass & | AccessKey ()=0
const KeyClass & | GetTrapdoorFunction () const
PK_MessageAccumulator * | NewSignatureAccumulator (RandomNumberGenerator &rng) const
PK_MessageAccumulator * | NewVerificationAccumulator () const
Public Member Functions inherited from AlgorithmImpl< BASE, SCHEME_OPTIONS::AlgorithmInfo >
std::string | AlgorithmName () const
| The algorithm name. More...

## Additional Inherited Members

Static Public Member Functions inherited from AlgorithmImpl< BASE, SCHEME_OPTIONS::AlgorithmInfo >
static std::string | StaticAlgorithmName ()
| The algorithm name. More...

## Detailed Description

### template<class BASE, class SCHEME_OPTIONS, class KEY_CLASS>
class TF_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY_CLASS >

Trapdoor Function (TF) base implementation.

Template Parameters

  BASE | base class
  SCHEME_OPTIONS | scheme options class
  KEY_CLASS | key class

Definition at line 563 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h